import request from '@/utils/request'

// 查询问诊疾病列表
export function listInquiryDisease(query) {
  return request({
    url: '/his/inquiryDisease/list',
    method: 'get',
    params: query
  })
}

// 查询问诊疾病详细
export function getInquiryDisease(diseaseId) {
  return request({
    url: '/his/inquiryDisease/' + diseaseId,
    method: 'get'
  })
}

// 新增问诊疾病
export function addInquiryDisease(data) {
  return request({
    url: '/his/inquiryDisease',
    method: 'post',
    data: data
  })
}

// 修改问诊疾病
export function updateInquiryDisease(data) {
  return request({
    url: '/his/inquiryDisease',
    method: 'put',
    data: data
  })
}

// 删除问诊疾病
export function delInquiryDisease(diseaseId) {
  return request({
    url: '/his/inquiryDisease/' + diseaseId,
    method: 'delete'
  })
}

// 导出问诊疾病
export function exportInquiryDisease(query) {
  return request({
    url: '/his/inquiryDisease/export',
    method: 'get',
    params: query
  })
}

export function listBySearch(query) {
  return request({
    url: '/his/inquiryDisease/listBySearch',
    method: 'get',
    params: query
  })
}

// 下载导入模板
export function importTemplate() {
  return request({
    url: '/his/inquiryDisease/importTemplate',
    method: 'get'
  })
}